{% extends 'base.html.twig' %}

{% block title %}Team index{% endblock %}

{% block body %}
    <div class="ui segment" style="margin-top: 30px;">
        <h2 class="ui header" style="display: flex;">
            <i class="settings icon" style="margin-top: 10px;"></i>
            <div class="content">
                Equipe
                <div class="sub header">Vos équipes</div>
            </div>
        </h2>
        <div class="ui divider"></div>

        <div>
            <table class="ui celled table">
                <thead>
                <tr>
                    <th>Id</th>
                    <th>Name</th>
                    <th class="action-header">
                        actions
                        {% if is_granted('ROLE_ADMIN') %}
                            <a href="{{ path('team_new') }}"><i class="plus circle icon large popup" data-content="Créer une équipe"></i></a>
                        {% endif %}
                    </th>
                </tr>
                </thead>
                <tbody>
                {% for team in teams %}
                    <tr>
                        <td>{{ team.id }}</td>
                        <td>{{ team.name }}</td>
                        <td>
                            <div class="action-container">
                                <a href="{{ path('team_show', {'id': team.id}) }}"><img width="25" height="25" src="{{ asset('/Assets/img/more.png') }}" /></a>
                                {% if is_granted('ROLE_ADMIN') %}
                                    <a href="{{ path('team_edit', {'id': team.id}) }}"><img width="25" height="25" src="{{ asset('/Assets/img/writing.png') }}" /></a>
                                {% endif %}
                            </div>

                        </td>
                    </tr>
                {% else %}
                    <tr>
                        <td colspan="3">no records found</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>

        </div>
    </div>



{% endblock %}
